Bug 479637 - RFE: Spacewalk should detect if it run in virtualization container (not only in xen)
RFE: Spacewalk should detect if it run in virtualization container (not only ...
Status: NEW
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.5
All Linux
low Severity low
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
: FutureFeature
Depends On:
Blocks: spacewalk-rfe
  Show dependency treegraph
 
Reported: 2009-01-12 05:06 EST by Miroslav Suchý
Modified: 2015-10-09 04:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2009-01-12 05:06:44 EST
Description of problem:
Now Spacewalk can detect that the machine is XEN guest. But we may detect that it run in other containers as well.
Debian has package imvirt http://packages.debian.org/unstable/imvirt which has the logic we can take from. Beside XEN it can detect as well:
 VirtualBox
 Virtual PC/Server
 VMware
 QEMU
 KVM
Comment 1 Jonathan Steffan 2009-08-12 15:48:07 EDT
This would be of much value.
Comment 2 Jan Pazdziora 2010-11-19 11:04:07 EST
Mass-moving to space13.
Comment 3 Jan Pazdziora 2010-11-26 09:51:54 EST
Mirek, with flex guest support, isn't this RFE addressed?
Comment 4 Miroslav Suchý 2010-11-29 07:32:01 EST
No. Flex guest currently only support XEN, KVM, Vmware, HyperV, Hitachi (how it called?). We still lack of VirtualBox and Virtual PC/Server.
BTW, imvirt is in Fedora now.
Comment 5 Clifford Perry 2010-11-29 10:29:00 EST
BTW - if folks know the smbios strings to look for - and propose a patch maybe? 

http://git.fedorahosted.org/git/?p=spacewalk.git;a=blob;f=backend/server/handlers/xmlrpc/registration.py

Starting line #63 - basically we send up a bunch of data and then parse server side looking for specific strings. 

Cliff
Comment 6 Miroslav Suchý 2011-04-11 03:32:47 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 7 Miroslav Suchý 2011-04-11 03:36:55 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 8 Jan Pazdziora 2011-07-20 07:50:52 EDT
Aligning under space16.
Comment 9 Clifford Perry 2011-08-05 08:22:49 EDT
This is not a priority for Red Hat's Spacewalk developers and will likely not be completed by Red Hat in the next 2 years. We agree that this is a valid request and something that could be achieved. Will leave it open to allow for the potential of community contribution for this.

Again, as per comment #5, the strings is all we need to add, even if we cannot test those virtual systems added. 

Cliff

Note You need to log in before you can comment on or make changes to this bug.